'use strict';

var _require = require('jade');

var render = _require.render;

var _require2 = require('babel-core');

var transform = _require2.transform;

module.exports = function () {
  return {
    visitor: {
      TaggedTemplateExpression: function TaggedTemplateExpression(path, state) {
        if (path.node.tag.name === 'jade') {
          var raw = path.node.quasi.quasis[0].value.raw;

          var html = render(raw).replace(/"\{/g, '{').replace(/\}"/g, '}').replace(/class="/g, 'className="').replace(/for="/g, 'htmlFor="');

          var _transform = transform(html, {
            presets: ['react']
          });

          var code = _transform.code;

          path.replaceWithSourceString(code.replace(/;/g, ''));
        }
      }
    }
  };
};